package com.ruoyi.shipping.excel;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import java.util.Date;

/**
 * 凯和单航次配船
 */
public class SingleVoyageByShipExcel {

    private static final long serialVersionUID = 1L;
    @Excel(name = "船名")
    private String vslName;
    @Excel(name = "航次")
    private String voyNo;
    @Excel(name = "开船日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date fAtd;
    @Excel(name = "到港日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date fAta;
    @Excel(name = "航线")
    private String fName;
    @Excel(name = "装港")
    private String loadportName;
    @Excel(name = "卸港")
    private String destportName;
    //船ID
    private Long fVslid;
    //航次ID
    private Long fVoyid;
    /** 到港状态 0 未离港 1离港 2 到港 */
    private Integer fArrivalStatus;

    public Integer getfArrivalStatus() {
        return fArrivalStatus;
    }

    public void setfArrivalStatus(Integer fArrivalStatus) {
        this.fArrivalStatus = fArrivalStatus;
    }

    public Long getfVslid() {
        return fVslid;
    }

    public void setfVslid(Long fVslid) {
        this.fVslid = fVslid;
    }

    public Long getfVoyid() {
        return fVoyid;
    }

    public void setfVoyid(Long fVoyid) {
        this.fVoyid = fVoyid;
    }

    public String getVslName() {
        return vslName;
    }

    public void setVslName(String vslName) {
        this.vslName = vslName;
    }

    public String getVoyNo() {
        return voyNo;
    }

    public void setVoyNo(String voyNo) {
        this.voyNo = voyNo;
    }

    public Date getfAtd() {
        return fAtd;
    }

    public void setfAtd(Date fAtd) {
        this.fAtd = fAtd;
    }

    public Date getfAta() {
        return fAta;
    }

    public void setfAta(Date fAta) {
        this.fAta = fAta;
    }

    public String getfName() {
        return fName;
    }

    public void setfName(String fName) {
        this.fName = fName;
    }

    public String getLoadportName() {
        return loadportName;
    }

    public void setLoadportName(String loadportName) {
        this.loadportName = loadportName;
    }

    public String getDestportName() {
        return destportName;
    }

    public void setDestportName(String destportName) {
        this.destportName = destportName;
    }

    @Override
    public String toString() {
        return "singleVoyageByShipExcel{" +
                "vslName='" + vslName + '\'' +
                ", voyNo='" + voyNo + '\'' +
                ", fAtd=" + fAtd +
                ", fAta=" + fAta +
                ", fName='" + fName + '\'' +
                ", loadportName='" + loadportName + '\'' +
                ", destportName='" + destportName + '\'' +
                '}';
    }
}
